import 'package:flutter/material.dart';

class BueatyContainer extends StatefulWidget {
  const BueatyContainer({
    Key key,
    this.width,
    this.height = 120.0,
    this.color1,
    this.color2,
    this.title = 'Title',
    this.txtcolor,
    this.subtitle = "Subtitle",
    this.padding,
    this.subcolor,
  }) : super(key: key);

  final double width;
  final double height;
  final Color color1;
  final Color color2;
  final String title;
  final Color txtcolor;
  final String subtitle;
  final Color subcolor;
  final EdgeInsetsGeometry padding;

  @override
  _BueatyContainerState createState() => _BueatyContainerState();
}

class _BueatyContainerState extends State<BueatyContainer> {
  @override
  Widget build(BuildContext context) {
    return Container(
      width: widget.width ?? MediaQuery.of(context).size.width * 0.90,
      height: widget.height,
      decoration: BoxDecoration(
          borderRadius: BorderRadius.all(Radius.circular(20.0)),
          gradient: LinearGradient(
            colors: [
              widget.color1 ?? Color(0xFFCB1841),
              widget.color2 ?? Color(0xFF2604DE)
            ],
            begin: Alignment.topLeft,
            end: Alignment.bottomRight,
          ),
          boxShadow: [
            BoxShadow(
              color: Colors.grey,
              blurRadius: 12,
              offset: Offset(0, 6),
            )
          ]),
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          Padding(
            padding: const EdgeInsets.all(5.0),
            child: Text(
              '${widget.title}',
              style: TextStyle(
                color: widget.txtcolor,
                fontSize: 20.0,
                fontWeight: FontWeight.bold,
              ),
            ),
          ),
          Padding(
            padding: const EdgeInsets.all(5.0),
            child: Text(
              '${widget.subtitle}}',
              style: TextStyle(
                color: widget.subcolor,
                fontSize: 20.0,
                fontWeight: FontWeight.bold,
              ),
            ),
          ),
        ],
      ),
    );
  }
}
